use rand::rngs::ThreadRng;
use rand::Rng;

pub struct RandomGen {
    pub rng: ThreadRng,
}

impl RandomGen {
    pub fn new() -> Self {
        RandomGen {
            rng: rand::thread_rng(),
        }
    }

    pub fn range_random_from_one(&mut self, limit: i32) -> i32 {
        self.rng.gen_range(1..limit)
    }
}
